/*
 rtb_inst/schupd3.p
 Load Table Partition Policies for DICTDB from specified file. 
*/
ROUTINE-LEVEL ON ERROR UNDO, THROW. 

DEFINE INPUT  PARAMETER pcFilename AS CHARACTER NO-UNDO.

&GLOBAL-DEFINE MIN-VERSION "11.4.0"

&IF PROVERSION GE {&MIN-VERSION} &THEN

  DEFINE VARIABLE service   AS OpenEdge.DataAdmin.DataAdminService    NO-UNDO.
  DEFINE VARIABLE policies  AS OpenEdge.DataAdmin.IPartitionPolicySet NO-UNDO.
  
  service = NEW OpenEdge.DataAdmin.DataAdminService(LDBNAME("DICTDB")).
  policies = service:GetPartitionPolicies().
  
  policies:ImportTree(pcFilename).
  service:UpdatePartitionPolicies(policies).
  
  FINALLY:
    DELETE OBJECT policies NO-ERROR.
    DELETE OBJECT service NO-ERROR.
  END FINALLY.

&ENDIF
